Skip to main content
GET
/
v1
/
payment_plans
/
{id}
Get administration payment plan by id
curl --request GET \
  --url https://api.paytsoftware.com/v1/payment_plans/{id} \
  --header 'Authorization: Bearer <token>'
{
  "payment_terms": [
    {
      "id": "<string>",
      "total_amount": "<string>",
      "amount_due": "<string>",
      "due_date": "<string>",
      "payment_date": "<string>"
    }
  ],
  "active": true,
  "auto_activated": true,
  "reason": "<string>",
  "rejected_by_user": {
    "id": "<string>",
    "name": "<string>",
    "email_address": "<string>"
  },
  "administration_id": "<string>",
  "debtor_id": "<string>",
  "id": "<string>",
  "approved_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "deactivated_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "proposed_at": "2023-11-07T05:31:56Z",
  "rejected_at": "2023-11-07T05:31:56Z",
  "public_url": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Path Parameters

id
string
required

Payment plan identifier

Query Parameters

administration_id
string
required

Administration identifier

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

Response

Get administration payment plan by id

CustomerApi_V1_PaymentPlanEntity model

payment_terms
object[]
required

Payment terms

active
boolean
required

Whether the payment plan is active

auto_activated
boolean
required

Whether the payment plan was auto-activated

reason
string
required

Reason for proposing payment plan provided by debtor

rejected_by_user
object
required

User who rejected the proposed payment plan

administration_id
string
required

Owning administration identifier

debtor_id
string
required

Associated debtor identifier

id
string
required

Unique identifier

approved_at
string<date-time>
required

Timestamp at which the payment plan was approved

created_at
string<date-time>
required

Timestamp at which the payment plan was created

deactivated_at
string<date-time>
required

Timestamp at which the payment plan was deactivated

updated_at
string<date-time>
required

Timestamp at which the payment_plan was last updated

proposed_at
string<date-time>
required

Timestamp at which the payment plan was proposed

rejected_at
string<date-time>
required

Timestamp at which the payment plan was rejected

public_url
string

Link to the debtor portal (request with the 'fields' parameter)

Last modified on June 12, 2026